Package ru.bitel.bgbilling.modules.drwebn.common.bean

# Class DrwebAgentStatusBase

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `DrwebAgent`, `DrwebAgentStatus`

public class DrwebAgentStatusBase extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `status`
  `static final int`
  `STATUS_BLOCKED`
  `static final int`
  `STATUS_CLOSE`
  `static final int`
  `STATUS_ERROR`
  `static final int`
  `STATUS_OK`
  `protected Date`
  `statusDate`
  `protected int`
  `tariffId`
  `protected String`
  `tariffTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrwebAgentStatusBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getStatus()`
  `Date`
  `getStatusDate()`
  `String`
  `getStatusString()`
  `int`
  `getTariffId()`
  `String`
  `getTariffTitle()`
  `void`
  `setStatus(int status)`
  `void`
  `setStatusDate(Date date)`
  `void`
  `setTariffId(int tariffId)`
  `void`
  `setTariffTitle(String tariffTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_OK

    public static final int STATUS_OK
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSE

    public static final int STATUS_CLOSE
    See Also:
      - Constant Field Values

  - ### STATUS_BLOCKED

    public static final int STATUS_BLOCKED
    See Also:
      - Constant Field Values

  - ### STATUS_ERROR

    public static final int STATUS_ERROR
    See Also:
      - Constant Field Values

  - ### status

    protected int status

  - ### tariffId

    protected int tariffId

  - ### tariffTitle

    protected String tariffTitle

  - ### statusDate

    protected Date statusDate

- ## Constructor Details

  - ### DrwebAgentStatusBase

    public DrwebAgentStatusBase()

- ## Method Details

  - ### getStatusString

    public String getStatusString()

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getTariffId

    public int getTariffId()

  - ### setTariffId

    public void setTariffId(int tariffId)

  - ### getTariffTitle

    public String getTariffTitle()

  - ### setTariffTitle

    public void setTariffTitle(String tariffTitle)

  - ### getStatusDate

    public Date getStatusDate()

  - ### setStatusDate

    public void setStatusDate(Date date)